org.firebirdsql.gds

## Interface DatabaseParameterBuffer

- All Superinterfaces:
    ConnectionParameterBuffer, java.lang.Iterable<Parameter>, ParameterBuffer
  All Known Subinterfaces:
    DatabaseParameterBufferExtension
  All Known Implementing Classes:
    DatabaseParameterBufferImp, FBConnectionRequestInfo

      public interface DatabaseParameterBuffer
      extends ConnectionParameterBuffer

  Instance of this interface represents a Database Parameter Buffer from the Firebird API documentation and specifies the attributes for the current connection.

  Additionally it is possible to change some database properties in a permanent way, however this approach is not recommended. Please use instead management API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIVATE_SHADOW`
    `static int` | `ADDRESS_PATH`
    `static int` | `ALLOCATION`
    `static int` | `BEGIN_LOG`
    `static int` | `BUFFER_LENGTH`
    `static int` | `CACHE_MANAGER`
    `static int` | `CDD_PATHNAME`
    `static int` | `CONNECT_TIMEOUT`
    `static int` | `DAMAGED`
    `static int` | `DBKEY_SCOPE`
    `static int` | `DEBUG`
    `static int` | `DELETE_SHADOW`
    `static int` | `DISABLE_JOURNAL`
    `static int` | `DISABLE_WAL`
    `static int` | `DROP_WALFILE`
    `static int` | `DUMMY_PACKET_INTERVAL`
    `static int` | `ENABLE_JOURNAL`
    `static int` | `ENCRYPT_KEY`
    `static int` | `FORCE_WRITE`
    `static int` | `GARBAGE_COLLECT`
    `static int` | `GBAK_ATTACH`
    `static int` | `GFIX_ATTACH`
    `static int` | `GSEC_ATTACH`
    `static int` | `GSTAT_ATTACH`
    `static int` | `INTERP`
    `static int` | `JOURNAL`
    `static int` | `LC_CTYPE`
    `static int` | `LC_MESSAGES`
    `static int` | `LICENSE`
    `static int` | `NO_DB_TRIGGERS`
    `static int` | `NO_GARBAGE_COLLECT`
    `static int` | `NO_RESERVE`
    `static int` | `NUM_BUFFERS`
    `static int` | `NUMBER_OF_USERS`
    `static int` | `OLD_DUMP_ID`
    `static int` | `OLD_FILE`
    `static int` | `OLD_FILE_SIZE`
    `static int` | `OLD_NUM_FILES`
    `static int` | `OLD_START_FILE`
    `static int` | `OLD_START_PAGE`
    `static int` | `OLD_START_SEQNO`
    `static int` | `ONLINE`
    `static int` | `ONLINE_DUMP`
    `static int` | `OVERWRITE`
    `static int` | `PAGE_SIZE`
    `static int` | `PASSWORD`
    `static int` | `PASSWORD_ENC`
    `static int` | `PROCESS_ID`
    `static int` | `PROCESS_NAME`
    `static int` | `QUIT_LOG`
    `static int` | `RESERVED`
    `static int` | `SEC_ATTACH`
    `static int` | `SET_DB_CHARSET`
    `static int` | `SET_DB_READONLY`
    `static int` | `SET_DB_SQL_DIALECT`
    `static int` | `SET_PAGE_BUFFERS`
    `static int` | `SHUTDOWN`
    `static int` | `SHUTDOWN_DELAY`
    `static int` | `SQL_DIALECT`
    `static int` | `SQL_ROLE_NAME`
    `static int` | `SWEEP`
    `static int` | `SWEEP_INTERVAL`
    `static int` | `SYS_USER_NAME`
    `static int` | `SYS_USER_NAME_ENC`
    `static int` | `TRACE`
    `static int` | `TRUSTED_AUTH`
    `static int` | `USER`
    `static int` | `USER_NAME`
    `static int` | `VERIFY`
    `static int` | `WAL_BACKUP_DIR`
    `static int` | `WAL_BUFSIZE`
    `static int` | `WAL_CHKPTLEN`
    `static int` | `WAL_GRP_CMT_WAIT`
    `static int` | `WAL_NUMBUFS`
    `static int` | `WORKING_DIRECTORY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseParameterBuffer` | `deepCopy()` Make a deep copy of this object.

    - ### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

      `getDefaultEncoding, getTagMapping`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### CDD_PATHNAME

          static final int CDD_PATHNAME

      See Also:
        Constant Field Values

    - #### ALLOCATION

          static final int ALLOCATION

      See Also:
        Constant Field Values

    - #### JOURNAL

          static final int JOURNAL

      See Also:
        Constant Field Values

    - #### PAGE_SIZE

          static final int PAGE_SIZE

      See Also:
        Constant Field Values

    - #### NUM_BUFFERS

          static final int NUM_BUFFERS

      See Also:
        Constant Field Values

    - #### BUFFER_LENGTH

          static final int BUFFER_LENGTH

      See Also:
        Constant Field Values

    - #### DEBUG

          static final int DEBUG

      See Also:
        Constant Field Values

    - #### GARBAGE_COLLECT

          static final int GARBAGE_COLLECT

      See Also:
        Constant Field Values

    - #### VERIFY

          static final int VERIFY

      See Also:
        Constant Field Values

    - #### SWEEP

          static final int SWEEP

      See Also:
        Constant Field Values

    - #### ENABLE_JOURNAL

          static final int ENABLE_JOURNAL

      See Also:
        Constant Field Values

    - #### DISABLE_JOURNAL

          static final int DISABLE_JOURNAL

      See Also:
        Constant Field Values

    - #### DBKEY_SCOPE

          static final int DBKEY_SCOPE

      See Also:
        Constant Field Values

    - #### NUMBER_OF_USERS

          static final int NUMBER_OF_USERS

      See Also:
        Constant Field Values

    - #### TRACE

          static final int TRACE

      See Also:
        Constant Field Values

    - #### NO_GARBAGE_COLLECT

          static final int NO_GARBAGE_COLLECT

      See Also:
        Constant Field Values

    - #### DAMAGED

          static final int DAMAGED

      See Also:
        Constant Field Values

    - #### LICENSE

          static final int LICENSE

      See Also:
        Constant Field Values

    - #### SYS_USER_NAME

          static final int SYS_USER_NAME

      See Also:
        Constant Field Values

    - #### ENCRYPT_KEY

          static final int ENCRYPT_KEY

      See Also:
        Constant Field Values

    - #### ACTIVATE_SHADOW

          static final int ACTIVATE_SHADOW

      See Also:
        Constant Field Values

    - #### SWEEP_INTERVAL

          static final int SWEEP_INTERVAL

      See Also:
        Constant Field Values

    - #### DELETE_SHADOW

          static final int DELETE_SHADOW

      See Also:
        Constant Field Values

    - #### FORCE_WRITE

          static final int FORCE_WRITE

      See Also:
        Constant Field Values

    - #### BEGIN_LOG

          static final int BEGIN_LOG

      See Also:
        Constant Field Values

    - #### QUIT_LOG

          static final int QUIT_LOG

      See Also:
        Constant Field Values

    - #### NO_RESERVE

          static final int NO_RESERVE

      See Also:
        Constant Field Values

    - #### USER_NAME

          static final int USER_NAME

      See Also:
        Constant Field Values

    - #### USER

          static final int USER

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final int PASSWORD

      See Also:
        Constant Field Values

    - #### PASSWORD_ENC

          static final int PASSWORD_ENC

      See Also:
        Constant Field Values

    - #### SYS_USER_NAME_ENC

          static final int SYS_USER_NAME_ENC

      See Also:
        Constant Field Values

    - #### INTERP

          static final int INTERP

      See Also:
        Constant Field Values

    - #### ONLINE_DUMP

          static final int ONLINE_DUMP

      See Also:
        Constant Field Values

    - #### OLD_FILE_SIZE

          static final int OLD_FILE_SIZE

      See Also:
        Constant Field Values

    - #### OLD_NUM_FILES

          static final int OLD_NUM_FILES

      See Also:
        Constant Field Values

    - #### OLD_FILE

          static final int OLD_FILE

      See Also:
        Constant Field Values

    - #### OLD_START_PAGE

          static final int OLD_START_PAGE

      See Also:
        Constant Field Values

    - #### OLD_START_SEQNO

          static final int OLD_START_SEQNO

      See Also:
        Constant Field Values

    - #### OLD_START_FILE

          static final int OLD_START_FILE

      See Also:
        Constant Field Values

    - #### DROP_WALFILE

          static final int DROP_WALFILE

      See Also:
        Constant Field Values

    - #### OLD_DUMP_ID

          static final int OLD_DUMP_ID

      See Also:
        Constant Field Values

    - #### WAL_BACKUP_DIR

          static final int WAL_BACKUP_DIR

      See Also:
        Constant Field Values

    - #### WAL_CHKPTLEN

          static final int WAL_CHKPTLEN

      See Also:
        Constant Field Values

    - #### WAL_NUMBUFS

          static final int WAL_NUMBUFS

      See Also:
        Constant Field Values

    - #### WAL_BUFSIZE

          static final int WAL_BUFSIZE

      See Also:
        Constant Field Values

    - #### WAL_GRP_CMT_WAIT

          static final int WAL_GRP_CMT_WAIT

      See Also:
        Constant Field Values

    - #### LC_MESSAGES

          static final int LC_MESSAGES

      See Also:
        Constant Field Values

    - #### LC_CTYPE

          static final int LC_CTYPE

      See Also:
        Constant Field Values

    - #### CACHE_MANAGER

          static final int CACHE_MANAGER

      See Also:
        Constant Field Values

    - #### SHUTDOWN

          static final int SHUTDOWN

      See Also:
        Constant Field Values

    - #### ONLINE

          static final int ONLINE

      See Also:
        Constant Field Values

    - #### SHUTDOWN_DELAY

          static final int SHUTDOWN_DELAY

      See Also:
        Constant Field Values

    - #### RESERVED

          static final int RESERVED

      See Also:
        Constant Field Values

    - #### OVERWRITE

          static final int OVERWRITE

      See Also:
        Constant Field Values

    - #### SEC_ATTACH

          static final int SEC_ATTACH

      See Also:
        Constant Field Values

    - #### DISABLE_WAL

          static final int DISABLE_WAL

      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          static final int CONNECT_TIMEOUT

      See Also:
        Constant Field Values

    - #### DUMMY_PACKET_INTERVAL

          static final int DUMMY_PACKET_INTERVAL

      See Also:
        Constant Field Values

    - #### GBAK_ATTACH

          static final int GBAK_ATTACH

      See Also:
        Constant Field Values

    - #### SQL_ROLE_NAME

          static final int SQL_ROLE_NAME

      See Also:
        Constant Field Values

    - #### SET_PAGE_BUFFERS

          static final int SET_PAGE_BUFFERS

      See Also:
        Constant Field Values

    - #### WORKING_DIRECTORY

          static final int WORKING_DIRECTORY

      See Also:
        Constant Field Values

    - #### SQL_DIALECT

          static final int SQL_DIALECT

      See Also:
        Constant Field Values

    - #### SET_DB_READONLY

          static final int SET_DB_READONLY

      See Also:
        Constant Field Values

    - #### SET_DB_SQL_DIALECT

          static final int SET_DB_SQL_DIALECT

      See Also:
        Constant Field Values

    - #### GFIX_ATTACH

          static final int GFIX_ATTACH

      See Also:
        Constant Field Values

    - #### GSTAT_ATTACH

          static final int GSTAT_ATTACH

      See Also:
        Constant Field Values

    - #### SET_DB_CHARSET

          static final int SET_DB_CHARSET

      See Also:
        Constant Field Values

    - #### GSEC_ATTACH

          static final int GSEC_ATTACH

      See Also:
        Constant Field Values

    - #### ADDRESS_PATH

          static final int ADDRESS_PATH

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          static final int PROCESS_ID

      See Also:
        Constant Field Values

    - #### NO_DB_TRIGGERS

          static final int NO_DB_TRIGGERS

      See Also:
        Constant Field Values

    - #### TRUSTED_AUTH

          static final int TRUSTED_AUTH

      See Also:
        Constant Field Values

    - #### PROCESS_NAME

          static final int PROCESS_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### deepCopy

          DatabaseParameterBuffer deepCopy()

      Make a deep copy of this object.
      Returns:
        deep copy of this object.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.